SystemOrganization addCategory: #MareaRiak!

Object subclass: #MARRiakDBGraphPersistency
	instanceVariableNames: ''
	classVariableNames: 'DatabaseConnection'
	poolDictionaries: ''
	category: 'MareaRiak'!

!MARRiakDBGraphPersistency commentStamp: 'MarianoMartinezPeck 2/2/2012 22:53' prior: 0!
To start:  ~/PhD/riak-0.14.0/bin/riak start !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:48'!
database
	^ self databaseConnection bucketNamed: 'Marea'.
	! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:46'!
databaseConnection 
	DatabaseConnection isNil ifTrue: [
		DatabaseConnection := self defaultDatabaseConnection].
	^ DatabaseConnection ! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 5/31/2012 11:22'!
databaseConnection: aDatabaseConnection
	DatabaseConnection := aDatabaseConnection! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:48'!
defaultDatabaseConnection
	^ RiakSession on: 'http://localhost:8098/riak'.! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:55'!
graphBlobFromGraphID: graphID	
	^ self database at: graphID asString! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:50'!
removeAllGraphs 

	self database removeAll.! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:56'!
removeGraphWithID: graphID
	self database removeKey: graphID asString.! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:46'!
reset
	self resetConnection.
	self removeAllGraphs 
	! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:46'!
resetConnection
	DatabaseConnection := nil.! !

!MARRiakDBGraphPersistency class methodsFor: 'as yet unclassified' stamp: 'MarianoMartinezPeck 2/2/2012 22:55'!
storeGraphBlob: aByteArray graphID: graphID	

	self database at: graphID asString put: aByteArray type: 'application/binary'.
! !
